;-| Super Motions |--------------------------------------------------------



[Command]
name = "CPU1"
command = U,a+b+c+x+y+z+s
time = 1

[Command]
name = "CPU2"
command = D,a+b+c+x+y+z+s
time = 1

[Command]
name = "CPU3"
command = F,a+b+c+x+y+z+s
time = 1

[Command]
name = "CPU4"
command = B,a+b+c+x+y+z+s
time = 1

[Command]
name = "CPU5"
command = D,U,a+b+c+x+y+z+s
time = 1

[Command]
name = "CPU6"
command = D,D,a+b+c+x+y+z+s
time = 1

[Command]
name = "CPU7"
command = D,F,a+b+c+x+y+z+s
time = 1

[Command]
name = "CPU8"
command = D,B,a+b+c+x+y+z+s
time = 1

[Command]
name = "CPU9"
command = U,U,a+b+c+x+y+z+s
time = 1

[Command]
name = "CPU10"
command = U,D,a+b+c+x+y+z+s
time = 1

[Command]
name = "CPU11"
command = U,F,a+b+c+x+y+z+s
time = 1

[Command]
name = "CPU12"
command = U,B,a+b+c+x+y+z+s
time = 1

[Command]
name = "CPU13"
command = U,D,U,a+b+c+x+y+z+s
time = 1

[Command]
name = "CPU14"
command = U,D,D,a+b+c+x+y+z+s
time = 1

[Command]
name = "CPU15"
command = U,D,F,a+b+c+x+y+z+s
time = 1

[Command]
name = "CPU16"
command = U,D,B,a+b+c+x+y+z+s
time = 1

[Command]
name = "CPU17"
command = U,D,B,a+c+x+y+z+s
time = 1

[Command]
name = "CPU18"
command = U,D,B,U,a+c+x+y+z+s
time = 1

[Command]
name = "CPU19"
command = U,D,B,D,a+c+x+y+z+s
time = 1

[Command]
name = "CPU20"
command = U,D,B,B,a+c+x+y+z+s
time = 1

[Command]
name = "CPU21"
command = U,D,B,F,a+c+x+y+z+s
time = 1

[Command]
name = "CPU22"
command = U,D,U,U,a+c+x+y+z+s
time = 1

[Command]
name = "CPU23"
command = U,D,B,D,a+c+x+y+z+s
time = 1

[Command]
name = "CPU24"
command = U,D,B,F,a+c+x+y+z+s
time = 1

[Command]
name = "CPU25"
command = U,D,B,B,a+c+x+y+z+s
time = 1
;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF";Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB";Required (do not remove)
command = B, B
time = 10
;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = a+b
time = 1

;-| Dir + Button |---------------------------------------------------------

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "x"
command = x
time = 1

[command]
name = "fire"
command = z
time = 15

[command]
name = "special"
command = c
time = 15

[Command]
name = "b"
command = b
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "s"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup";Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1]                  ;Don't change this
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = "command_name"
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

[State -1, AI TRIGGER]
type = Varset
triggerall = RoundState = 2
trigger1 = command = "CPU1"
trigger2 = command = "CPU2"
trigger3 = command = "CPU3"
trigger4 = command = "CPU4"
trigger5 = command = "CPU5"
trigger6 = command = "CPU6"
trigger7 = command = "CPU7"
trigger8 = command = "CPU8"
trigger9 = command = "CPU9"
trigger10 = command = "CPU10"
trigger11 = command = "CPU11"
trigger12 = command = "CPU12"
trigger13 = command = "CPU13"
trigger14 = command = "CPU14"
trigger15 = command = "CPU15"
trigger16 = command = "CPU16"
trigger17 = command = "CPU17"
trigger18 = command = "CPU18"
trigger19 = command = "CPU19"
trigger20 = command = "CPU20"
trigger21 = command = "CPU21"
trigger22 = command = "CPU22"
trigger23 = command = "CPU23"
trigger24 = command = "CPU24"
trigger25 = command = "CPU25"
v = 7
value = 1







;===========================================================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;------------------------------------------------------------------------------
;---------------------------------------------------------------------------
;regular
[State -1, Special Red]
type = ChangeState
value = 240
triggerall = command = "special"
trigger1 = ctrl
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;regular
[State -1, Special 2]
type = ChangeState
value = 850
triggerall = command = "b"
trigger1 = ctrl
;-------------q--------------------------------------------------------------
;Special 2
[State -1, Special 2]
type = ChangeState
value = 0
triggerall = command = "x"
trigger1 = ctrl
triggerall = power >= 1000
;---------------------------------------------------------------------------
;regular
[State -1, Special Red]
type = ChangeState
value = 0
triggerall = command = "z"
trigger1 = ctrl
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;regular
[State -1, Special 2]
type = ChangeState
value = 0
triggerall = command = "a"
trigger1 = ctrl
;---------------------------------------------------------------------------
;special slash
[State -1, Special 2]
type = ChangeState
value = 0
triggerall = command = "y"
trigger1 = ctrl
triggerall = power >= 1500
